#ifndef MPADVISE_H
#define MPADVISE_H

/*
 *  Copyright (C) 2001  Concurrent Computer Corporation
 *  This source is covered by the GNU LGPL Version 2.1
 *  Author: Jason Baietto (jason.baietto@ccur.com)
 */

#include <cpuset.h>

#ifdef __cplusplus
extern "C" {
#endif

#define MPA_CPU_ACTIVE     0   /* return active CPUs */
#define MPA_CPU_BOOT       1   /* return the boot processor */
#define MPA_CPU_PRESENT    2   /* return present CPUs */
#define MPA_CPU_LMEM       3   /* return CPUs with local memory */
#define MPA_CPU_INTVEC     6   /* return CPUs assigned to interrupt */
#define MPA_PRC_GETBIAS    10  /* return CPU biases */
#define MPA_PRC_SETBIAS    11  /* set CPU biases */
#define MPA_PRC_GETRUN     12  /* return CPU assignments */

#define MPA_PID   1
#define MPA_PGID  2
#define MPA_UID   3
#define MPA_TID   4
#define MPA_LWPID MPA_TID

#define MPA_SUCCESS  0
#define MPA_FAILURE -1

extern int mpadvise(int, int, int, cpuset_t*);

#ifdef __cplusplus
  }
#endif

#endif /* MPADVISE_H */
